%bcond_without check

Summary:        Generate RPM spec files for Rust crates
Name:           rust2rpm
Version:        24.3.3
Release:        4%{?dist}
License:        MIT
URL:            https://pagure.io/fedora-rust/rust2rpm
Source0:         %{url}/archive/v%{version}/rust2rpm-%{version}.tar.gz

BuildRequires:  python3-devel

BuildArch:      noarch

%if %{with check}
BuildRequires:  cargo
%endif

Requires:       cargo
Requires:       cargo-rpm-macros

Provides:    python3-rust2rpm

%description
rust2rpm is a tool that automates the generation of RPM spec files for
Rust crates.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rust2rpm

%check
%if %{with check}
%tox
%endif

%files -f %{pyproject_files}
%doc README.md
%doc NEWS
%{_bindir}/rust2rpm

%changelog
* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 24.3.3-4
- Rebuild for python-termcolor-2.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.3.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.3.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 Wang Guodong <gordonwwang@tencent.com> - 24.3.3-1
- Upgrade to 24.3.3

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 24.2.0-5
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.2.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.2.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 23 2023 Yi Lin <nilusyi@tencent.com> - 24.2.0-2
- add provides python3-rust2rpm

* Wed Mar 22 2023 Yi Lin <nilusyi@tencent.com> - 24.2.0-1
- package init.
